Subject: bug#72959: closed (Advance in queue)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Oct 2024 14:45:03 +0000

Your bug report

#72959: Request for merging "fonts-split-outputs" branch

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72959: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72959
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Advance in queue
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Sat, 19 Oct 2024 16:43:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I have just pushed the fonts-split-outputs branch, which had been built
on QA, after rebasing it on master.

Now I have rebased mesa-updates on the (new) master branch and pushed it;
normally it should be picked up and built automatically by QA.

Thanks to you all for your patience!

Andreas

Subject: Request for merging "fonts-split-outputs" branch
From: 宋文武 <[email-masked]>
To: [email-masked]
Date: Mon, 02 Sep 2024 18:27:18 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I think the branch is ready once it built on CI.

>From https://issues.guix.gnu.org/70496:

Hello, here are some patches for font packages which updates
the install phase in font-build-system for multiple outputs, and
use that for some font packages.

When a font family is provided in different formats (eg: both ttf and
otf), font picker will list duplicated entries.  To remove those
duplicated entries, these patches will prefer "otf" over "ttf" files
by using '("out" "ttf")) as package's outputs field, so that otf files
will go into the default "out" output.